﻿@model Tuple<List<SSTC.Entity.Category>, SSTC.Entity.Category>
@{
    ViewBag.Title = "Projekty";
}

<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>

<script>
    function addCategory() {
        $("#newCat").toggle("slow");
    }
</script>

<script>
    function showProjects(el) {
        $("#projectHeader" + el).toggle("slow");
        $("#project" + el).toggle("slow");
    }
</script>

<script>
    function editCategory(el) {
        $("#nameStatic" + el).toggle("slow");
        $("#nameChange" + el).toggle("slow");
        $("#delete" + el).toggle("slow");
        $("#save" + el).toggle("slow");
    }
</script>
<h2>Kategorie i projekty</h2>

<p>
    <a class="btn btn-lg btn-link" onclick="addCategory()">Dodaj kategorie</a>
</p>
<p>
    <table id="newCat" style="display:none">
        <tr>
            @using (@Html.BeginForm("AddCategory", "Admin", FormMethod.Post))
            {
                <td style="padding-right:10px">Nazwa kategorii:</td>
                <td style="padding-right:10px">@Html.TextBoxFor(modelItem => Model.Item2.Name)</td>
                <td><input class="btn btn-sm btn-primary btn-block" type="submit" id="next" value="Dodaj" /></td>
            }
        </tr>
    </table>
</p>

<div class="panel panel-default">

    <table class="table table-bordered table-condensed table-striped">
        <tr>
            <th>
                <span>Nazwa</span>
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model.Item1)
        {
            <tr>
                @using (@Html.BeginForm("SaveEditCategory", "Admin", FormMethod.Post))
                {
                    <td>
                        <div id=@("nameChangeID" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Id)</div>
                        <span id=@("nameStatic" + item.Id)>@item.Name</span>
                        <div id=@("nameChange" + item.Id) style="display:none">@Html.TextBoxFor(modelItem => item.Name)</div>
                    </td>
                    <td class="text-right">
                        <input class="btn btn-group btn-sm btn-b2" type="button" value="Dodaj projekt" onclick="location.href='@Url.Action("Add", "Projects", new { id = item.Id})'" />
                        <input class="btn btn-group btn-sm btn-b2" type="button" value="Projekty" onclick="location.href='@Url.Action("Projects", "Projects", new { Id = item.Id})'" />
                        <input class="btn btn-group btn-sm btn-primary edit" type="button" value="Edytuj" onclick="editCategory('@item.Id')" />
                        <input class="btn btn-group btn-sm btn-danger" id=@("delete" + item.Id) type="button" value="Usuń" onclick="location.href='@Url.Action("DeleteCategory", "Admin", new { id = item.Id })'" />
                        @*<input class="btn btn-group btn-sm btn-success" id=@("save" + item.Id) type="button" value="Zapisz" style="display:none" onclick="location.href='@Url.Action("SaveEditCategory", "Admin")'" />*@
                        <input class="btn btn-group btn-sm btn-success" id=@("save" + item.Id) type="submit" value="Zapisz" style="display:none" />
                    </td>
                }

            </tr>
        }
    </table>
</div>